## make-dynpart-mappings 10.2.4

=== Makefile ===
CC = $(CROSS_COMPILE)gcc
PKG_CONFIG = pkg-config

CFLAGS = 
LDFLAGS = 

devmapper-CFLAGS = $(shell $(PKG_CONFIG) --cflags devmapper)
devmapper-LDFLAGS = $(shell $(PKG_CONFIG) --libs devmapper)

libmd-CFLAGS = $(shell $(PKG_CONFIG) --cflags libmd)
libmd-LDFLAGS = $(shell $(PKG_CONFIG) --libs libmd)

blkid-CFLAGS = $(shell $(PKG_CONFIG) --cflags blkid)
blkid-LDFLAGS = $(shell $(PKG_CONFIG) --libs blkid)

CONFIG_DEFS := 

ifeq ($(USERSPACE), 1)
CONFIG_DEFS += -DUSERSPACE
endif

.PHONY += all
all: make-dynpart-mappings


clean:
	rm -f make-dynpart-mappings

make-dynpart-mappings: main.c 3rdparty/metadata_format.h
	$(CC) -o make-dynpart-mappings main.c $(CFLAGS) $(LDFLAGS) $(CONFIG_DEFS) $(devmapper-CFLAGS) $(devmapper-LDFLAGS) $(libmd-CFLAGS) $(libmd-LDFLAGS) $(blkid-CFLAGS) $(blkid-LDFLAGS) -I3rdparty

=== debian/changelog ===
make-dynpart-mappings (10.2.4-2) unstable; urgency=medium

  * d/watch: convert to version 5
  * d/gbp.conf: add a few more reasonable defaults.
    Makes it more consistent with packages I'm the primary maintainer of.
  * d/control: drop Rules-Requires-Root.
    Also bump Standards-Version as no other change is needed.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 29 Oct 2025 17:36:35 +0100

make-dynpart-mappings (10.2.4-1) unstable; urgency=medium

  * Initial Debian packaging (Closes: #1030685)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 06 Feb 2023 15:40:23 +0100

=== debian/control ===
Source: make-dynpart-mappings
Section: embedded
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13),
               libblkid-dev,
               libdevmapper-dev,
               libmd-dev,
               pkgconf,
Homepage: https://gitlab.com/flamingradian/make-dynpart-mappings
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/make-dynpart-mappings.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/make-dynpart-mappings

Package: make-dynpart-mappings
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: CLI tool to setup DM mappings for Android dynamic partitions
 make-dynpart-mappings is a very simple tool used to set up Android dynamic
 partitions on Linux systems. It automatically creates the corresponding
 DM (Device Mapper) mappings so those partitions can easily be mounted by the
 user and system services.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_MAINT_CFLAGS = -g

%:
	dh $@

override_dh_auto_install:
	install -D -m0755 make-dynpart-mappings debian/make-dynpart-mappings/usr/bin/make-dynpart-mappings

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.com/flamingradian/@PACKAGE@
